<?php
if ( ! defined('BASEPATH')) exit('No direct script access allowed');
class Log_details_report extends REF_Controller {
    public function __construct() {
        parent::__construct();
        $this->load->library('upload');
        $this->load->model('reports/log_details_report_model', '', TRUE);
        $this->uri_key_index = 0;
    }
    
    public function index() {
        $data = array();
       
        if (!empty($this->session->flashdata('success'))) 
            $data['success'] = $this->session->flashdata('success');
        else 
            $data['error'] = $this->session->flashdata('error');
        
        if((!empty($this->input->post('submit'))) && ($this->input->post('submit') == 'Get Data' || $this->input->post('submit') == 'Print Data')) {
            $start_date = $this->input->post('start_date');
            $end_date = $this->input->post('end_date');
        } else {
            $start_date = '';
            $end_date = '';
        }
        $data['results'] = $this->log_details_report_model->get_data($start_date,$end_date);
        $data['start_date'] = $start_date;
        $data['end_date'] = $end_date;
        $actions = $this->actions();
        $data['form_action'] = 'log_details_report';
        $data['title'] = 'Log Details Report';
        
        $filters = array();
        if(!empty($this->input->post('filter_columns'))) {
            foreach($this->input->post('filter_columns') as $key=>$value) {
                array_push($filters,$this->input->post($value));
            } 
        }
        $data['filters'] = array_filter($filters);
        
        if($this->input->post('submit') == 'Print Data'){
            if( IS_KSK ) :
                $html = $this->load->view('reports/log_details/pdf', $data, TRUE);
                print_rec($html);
                redirect('log_details_report','refresh');
            else :
                $this->render($data, 'reports/log_details/pdf');
            endif;
        } else {
            $this->render($data, 'reports/log_details/list');
        }
    }
   
} ?>

